Bug 111923 - [PATCH] databases/unixODBC overwrites config file on package install
Summary: [PATCH] databases/unixODBC overwrites config file on package install
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Tom McLaughlin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-04-19 22:00 UTC by Ed Maste
Modified: 2007-06-25 06:20 UTC (History)
0 users

See Also:


Attachments
unixODBC.diff (1.37 KB, patch)
2007-04-19 23:19 UTC, Ed Maste
no flags Details | Diff
patch-Makefile.am (406 bytes, text/plain; charset=us-ascii)
2007-04-19 23:19 UTC, Ed Maste
no flags Details
patch-Makefile.in (505 bytes, text/plain; charset=us-ascii)
2007-04-19 23:19 UTC, Ed Maste
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ed Maste freebsd_committer 2007-04-19 22:00:09 UTC
Installing the unixODBC package overwrites etc/odbc.ini and etc/odbcinst.ini
with zero-byte files.  Discussed briefly on freebsd-ports
http://docs.freebsd.org/cgi/mid.cgi?20070419153348.GA66904@sandvine.com

How-To-Repeat: Install the unixODBC 2.2.12 package.
Comment 1 Edwin Groothuis freebsd_committer 2007-04-19 22:00:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->emaste

Submitter has GNATS access
Comment 2 Ed Maste 2007-04-19 23:19:40 UTC
Patch and new patch-Makefile.{in,am} files attached.
Comment 3 Ed Maste freebsd_committer 2007-04-20 03:55:55 UTC
Responsible Changed
From-To: emaste->freebsd-ports-bugs

Reassign for a ports committer to take a look after adding patch.
Comment 4 Tom McLaughlin freebsd_committer 2007-06-24 20:25:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tmclaugh

grab
Comment 5 dfilter service freebsd_committer 2007-06-25 06:13:32 UTC
tmclaugh    2007-06-25 05:13:25 UTC

  FreeBSD ports repository

  Modified files:
    databases/unixODBC   Makefile pkg-plist 
  Added files:
    databases/unixODBC/files patch-Makefile.in 
  Log:
  Don't clobber config files on update.
  
  PR:             111923
  Submitted by:   emaste
  
  Revision  Changes    Path
  1.51      +6 -1      ports/databases/unixODBC/Makefile
  1.1       +13 -0     ports/databases/unixODBC/files/patch-Makefile.in (new)
  1.27      +6 -2      ports/databases/unixODBC/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Tom McLaughlin freebsd_committer 2007-06-25 06:13:51 UTC
State Changed
From-To: open->closed

Committed, thanks.